import request from "@/utils/request";

class SubjectApi {
  /**查询题目列表 */
  getList(query) {
    return request({
      url: "pc/question/info/list",
      method: "get",
      params: query,
    });
  }

  /**根据专题类型获取具体分类 */
  getIssueType(query) {
    return request({
      url: "pc/question/info/issueType",
      method: "get",
      params: query,
    });
  }

  /**修改题目顺序 */
  setSubjectSort(data) {
    return request({
      url: "pc/question/info",
      method: "put",
      data,
    });
  }
}

export default new SubjectApi();
